%define name dmalloc
%define version 4.2.0
%define release 2mdk


Name: %{name}
Version: %{version}
Release: %{release}
Summary: Debugging MALLOC
Copyright: distributable
Group: Development/Other
Packager: Kevin I-Sen Lai <laik@cs.stanford.edu>
Source: %{name}-%{version}.tar.bz2
Patch0: dmalloc-4.2.0-perl.patch.bz2
Patch1: dmalloc-4.2.0-strdup.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at runtime.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1
%patch1 -p1
rm -f contrib/*.orig

%build
sh ./configure --prefix=$RPM_BUILD_ROOT/usr
make
# test this puppy
make heavy

%install
make install
make installinfo

# install docs by hand
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/dmalloc-4.2.0
install -m 644 {ChangeLog,INSTALL,NEWS,NOTES,README,TODO} $RPM_BUILD_ROOT/usr/doc/dmalloc-4.2.0

%files
%defattr (-,root,root)
%doc /usr/doc/dmalloc-4.2.0
/usr/include/*
/usr/lib/*
/usr/info/*
/usr/bin/*

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-2mdk
- fix group 
- fix files section
- bzip2 patches

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
